Index: /code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.h	(revision 10817)
@@ -90,7 +90,7 @@
         virtual ~OrxonoxOverlay();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-        virtual void changedName();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+
+        virtual void changedName() override;
 
         //! Shows the overlay with an detour to BaseObject::visibility_
@@ -167,5 +167,5 @@
         void setBackgroundColour(ColourValue colour);
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
         inline void setOwner(BaseObject* owner)
@@ -206,5 +206,5 @@
 
     private:
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         static unsigned int hudOverlayCounter_s;   //!< Static counter for hud elements
Index: /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.h	(revision 10817)
@@ -58,5 +58,5 @@
         ~OverlayGroup();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         static void toggleVisibility(const std::string& name);
@@ -68,5 +68,5 @@
             { return this->hudElements_; }
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
         void setOwner(BaseObject* owner);
Index: /code/branches/cpp11_v2/src/orxonox/sound/AmbientSound.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/AmbientSound.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/sound/AmbientSound.h	(revision 10817)
@@ -50,7 +50,7 @@
         AmbientSound();
 
-        void play();
-        bool stop();
-        void pause();
+        void play() override;
+        bool stop() override;
+        void pause() override;
 
         bool setAmbientSource(const std::string& source);
@@ -66,7 +66,7 @@
 
     private:
-        void preDestroy();
-        float getRealVolume();
-        bool moodChanged(const std::string& mood);
+        void preDestroy() override;
+        float getRealVolume() override;
+        bool moodChanged(const std::string& mood) override;
         inline void ambientSourceChanged()
             { this->setAmbientSource(this->ambientSource_); }
Index: /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/sound/SoundManager.h	(revision 10817)
@@ -68,6 +68,6 @@
         ~SoundManager();
 
-        void preUpdate(const Clock& time);
-        void postUpdate(const Clock& time) { /*no action*/ }
+        void preUpdate(const Clock& time) override;
+        void postUpdate(const Clock& time) override { /*no action*/ }
         void setConfigValues();
 
Index: /code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.h	(revision 10817)
@@ -50,8 +50,8 @@
             virtual ~WorldAmbientSound();
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedActivity();
+            virtual void changedActivity() override;
 
             void play();
Index: /code/branches/cpp11_v2/src/orxonox/sound/WorldSound.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/sound/WorldSound.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/sound/WorldSound.h	(revision 10817)
@@ -47,9 +47,9 @@
         WorldSound(Context* context);
 
-        void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
-        void changedActivity();
+        void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
+        void changedActivity() override;
 
-        void tick(float dt);
+        void tick(float dt) override;
 
     protected:
@@ -58,6 +58,6 @@
     private:
         void registerVariables();
-        void initialiseSource();
-        float getRealVolume();
+        void initialiseSource() override;
+        float getRealVolume() override;
     };
 }
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 10817)
@@ -42,5 +42,5 @@
             virtual ~DefaultWeaponmodeLink();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setFiremode(const unsigned int firemode)
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.h	(revision 10817)
@@ -50,5 +50,5 @@
             virtual ~Weapon();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void fire(unsigned int mode);
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.h	(revision 10817)
@@ -51,5 +51,5 @@
             virtual ~WeaponMode();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             bool fire(float* reloadTime);
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~WeaponPack();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void fire(unsigned int weaponmode);
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~WeaponSet();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void fire();
Index: /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10817)
@@ -62,5 +62,5 @@
             virtual ~WeaponSlot();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void attachWeapon(Weapon * weapon);
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/CameraPosition.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/CameraPosition.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/CameraPosition.h	(revision 10817)
@@ -41,5 +41,5 @@
             virtual ~CameraPosition();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setDrag(bool bDrag)
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~ControllableEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
             void setConfigValues();
 
@@ -141,8 +141,8 @@
             using MobileEntity::setAngularVelocity;
 
-            void setPosition(const Vector3& position);
-            void setOrientation(const Quaternion& orientation);
-            void setVelocity(const Vector3& velocity);
-            void setAngularVelocity(const Vector3& velocity);
+            void setPosition(const Vector3& position) override;
+            void setOrientation(const Quaternion& orientation) override;
+            void setVelocity(const Vector3& velocity) override;
+            void setAngularVelocity(const Vector3& velocity) override;
 
             inline bool hasLocalController() const
@@ -177,5 +177,5 @@
 
         protected:
-            virtual void preDestroy();
+            virtual void preDestroy() override;
 
             virtual void setPlayer(PlayerInfo* player); // don't call this directly, use friend class PlayerInfo instead
@@ -184,5 +184,5 @@
             virtual void startLocalHumanControl();
             virtual void stopLocalHumanControl();
-            virtual void parentChanged();
+            virtual void parentChanged() override;
 
             inline void setHudTemplate(const std::string& name)
@@ -214,5 +214,5 @@
 
             // Bullet btMotionState related
-            void setWorldTransform(const btTransform& worldTrans);
+            void setWorldTransform(const btTransform& worldTrans) override;
 
             unsigned int server_overwrite_;
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/Drone.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/Drone.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/Drone.h	(revision 10817)
@@ -50,15 +50,15 @@
             virtual ~Drone();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Drone through XML.
-            virtual void tick(float dt); //!< Defines which actions the Drone has to take in each tick.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a Drone through XML.
+            virtual void tick(float dt) override; //!< Defines which actions the Drone has to take in each tick.
 
 
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
-            virtual void moveUpDown(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
+            virtual void moveUpDown(const Vector2& value) override;
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
             /**
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.h	(revision 10817)
@@ -43,5 +43,5 @@
             virtual ~EffectContainer();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setLuaState(LuaState* state, const std::string& functionName);
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.h	(revision 10817)
@@ -43,5 +43,5 @@
             virtual ~ExplosionChunk();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline void setLOD(LODParticle::Value level)
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/MobileEntity.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/MobileEntity.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/MobileEntity.h	(revision 10817)
@@ -55,14 +55,14 @@
             virtual ~MobileEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
-            virtual void setPosition(const Vector3& position);
-            virtual void setOrientation(const Quaternion& orientation);
+            virtual void setPosition(const Vector3& position) override;
+            virtual void setOrientation(const Quaternion& orientation) override;
 
             virtual void setVelocity(const Vector3& velocity);
             inline void setVelocity(float x, float y, float z)
                 { this->setVelocity(Vector3(x, y, z)); }
-            inline const Vector3& getVelocity() const
+            inline const Vector3& getVelocity() const override
                 { return this->linearVelocity_; }
             /**
@@ -108,6 +108,6 @@
         protected:
             // Bullet btMotionState related
-            virtual void setWorldTransform(const btTransform& worldTrans);
-            void getWorldTransform(btTransform& worldTrans) const;
+            virtual void setWorldTransform(const btTransform& worldTrans) override;
+            void getWorldTransform(btTransform& worldTrans) const override;
 
             Vector3 linearAcceleration_;
@@ -117,5 +117,5 @@
 
         private:
-            virtual bool isCollisionTypeLegal(WorldEntity::CollisionType type) const;
+            virtual bool isCollisionTypeLegal(WorldEntity::CollisionType type) const override;
     };
 }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.h	(revision 10817)
@@ -46,13 +46,13 @@
             virtual ~MovableEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
             using WorldEntity::setPosition;
             using WorldEntity::setOrientation;
 
-            inline void setPosition(const Vector3& position)
+            inline void setPosition(const Vector3& position) override
                 { MobileEntity::setPosition(position); this->overwrite_position_ = this->getPosition(); }
-            inline void setOrientation(const Quaternion& orientation)
+            inline void setOrientation(const Quaternion& orientation) override
                 { MobileEntity::setOrientation(orientation); this->overwrite_orientation_ = this->getOrientation(); }
 
@@ -79,6 +79,6 @@
         private:
             void registerVariables();
-            void clientConnected(unsigned int clientID);
-            void clientDisconnected(unsigned int clientID);
+            void clientConnected(unsigned int clientID) override;
+            void clientDisconnected(unsigned int clientID) override;
             void resynchronize();
 
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~SpawnPoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setSpawnClass(Identifier* identifier)
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/StaticEntity.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/StaticEntity.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/StaticEntity.h	(revision 10817)
@@ -55,10 +55,10 @@
             using WorldEntity::setOrientation;
 
-            void setPosition(const Vector3& position);
-            void setOrientation(const Quaternion& orientation);
+            void setPosition(const Vector3& position) override;
+            void setOrientation(const Quaternion& orientation) override;
 
         private:
             void registerVariables();
-            bool isCollisionTypeLegal(CollisionType type) const;
+            bool isCollisionTypeLegal(CollisionType type) const override;
 
             // network callbacks
@@ -69,6 +69,6 @@
 
             // Bullet btMotionState related
-            void setWorldTransform(const btTransform& worldTrans);
-            void getWorldTransform(btTransform& worldTrans) const;
+            void setWorldTransform(const btTransform& worldTrans) override;
+            void getWorldTransform(btTransform& worldTrans) const override;
     };
 }
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 10817)
@@ -43,5 +43,5 @@
             virtual ~TeamSpawnPoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setTeamNumber(unsigned int team)
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.h	(revision 10817)
@@ -96,5 +96,5 @@
             virtual ~WorldEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline const Ogre::SceneNode* getNode() const
@@ -108,6 +108,6 @@
             static const Vector3 UP;
 
-            virtual void changedActivity(void);
-            virtual void changedVisibility(void);
+            virtual void changedActivity(void) override;
+            virtual void changedVisibility(void) override;
 
             virtual void setPosition(const Vector3& position) = 0;
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h	(revision 10817)
@@ -61,6 +61,6 @@
             virtual ~Pawn();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             inline bool isAlive() const
@@ -143,6 +143,6 @@
             virtual void kill();
 
-            virtual void fired(unsigned int firemode);
-            virtual void reload();
+            virtual void fired(unsigned int firemode) override;
+            virtual void reload() override;
             virtual void postSpawn();
 
@@ -179,5 +179,5 @@
 
 
-            virtual void startLocalHumanControl();
+            virtual void startLocalHumanControl() override;
 
             void setAimPosition( Vector3 position )
@@ -186,8 +186,8 @@
                 { return this->aimPosition_; }
 
-            virtual const Vector3& getCarrierPosition(void) const
+            virtual const Vector3& getCarrierPosition(void) const override
                 { return this->getWorldPosition(); };
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             void setExplosionSound(const std::string& engineSound);
@@ -195,8 +195,8 @@
 
         protected:
-            virtual void preDestroy();
-
-            virtual void setPlayer(PlayerInfo* player);
-            virtual void removePlayer();
+            virtual void preDestroy() override;
+
+            virtual void setPlayer(PlayerInfo* player) override;
+            virtual void removePlayer() override;
 
             virtual void death();
@@ -212,7 +212,7 @@
             bool bAlive_;
 
-            virtual std::vector<PickupCarrier*>* getCarrierChildren(void) const
+            virtual std::vector<PickupCarrier*>* getCarrierChildren(void) const override
                 { return new std::vector<PickupCarrier*>(); }
-            virtual PickupCarrier* getCarrierParent(void) const
+            virtual PickupCarrier* getCarrierParent(void) const override
                 { return nullptr; }
 
